<?php
session_start();
?>
<!DOCTYPE html>
<html>
 <head> <!-- Entête HTML -->
    <meta charset="utf-8" />
    <title>Affichage des personnes</title>
	<link href="CSS/traitement_liste_personnes_1page.css" rel="stylesheet" type="text/css" /> 
 </head>
 <body>
   <?php
   include 'INCLUDE/POO_include_sprog_commun_web.php';
   define("CONTEXTE","Affichage");
   // -- Fonction de chargement dynamique des classes ---
   function __autoload($NomClasse) {
     require $NomClasse . '_Classe.php';
   }
   // --- Récupération des objets LPers ---
   if (isset($_SESSION['ListeDesPersonnes'])) {
      $ListeDesPersonnes = $_SESSION['ListeDesPersonnes'];
      $nbpersonnes = $ListeDesPersonnes->CompteLPers();
   }
   else
      $nbpersonnes = 0;

   if ($nbpersonnes == 0)
   {
      $messageTexte="Aucune personne à afficher !";
      AffichMessage(CONTEXTE,$messageTexte);
   }
   else
   {// ----------------------------
    // --- Affichage du tableau ---
    // ----------------------------
    $ListeDesPersonnes->AfficheLPers("Liste des personnes") ;
   }
    // ----------------------------------
    // -- lien pour retourner au menu ---
    // ----------------------------------
   include 'INCLUDE/POO_include_retour_menu_web.php';
   ?>
 </body>
</html>
